Imagick::contrastImage
Imagick::convolveImage
Imagick
PHP Manual

# Imagick::contrastStretchImage

Enhances the contrast of a color image

### Description

bool Imagick::contrastStretchImage ( float `$black_point` , float `$white_point` [, int `$channel` = Imagick::CHANNEL_ALL ] )

Enhances the contrast of a color image by adjusting the pixels color to span the entire range of colors available. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`black_point`

  The black point.

`white_point`

  The white point.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. `Imagick::CHANNEL_ALL`. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.